Bug 298471 - setfacl fails on long utf8 path
Summary: setfacl fails on long utf8 path
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acl   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-20 15:50 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:47 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-1033
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 12:03:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (650 bytes, patch)
2007-09-21 10:00 UTC, Jiri Moskovcak
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1033 normal SHIPPED_LIVE acl bug fix update 2007-11-21 12:03:36 UTC

Description Jiri Moskovcak 2007-09-20 15:50:29 UTC
Description of problem:
setfacl is not able to handle output from getfacl when working with long UTF8 names.

Version-Release number of selected component (if applicable):
acl-2.2.39-2.1

How reproducible:
Always.


Steps to Reproduce:
1. getfacl <long path with international characters in UTF8> > output.dump
2. setfacl --restore=output.dump
  
Actual results:
setfacl fails.

Expected results:
setfacl should read the output and restore acl for the file.

Additional info:

Comment 1 Jiri Moskovcak 2007-09-21 10:00:00 UTC
Created attachment 201831 [details]
Proposed patch

Comment 7 errata-xmlrpc 2007-11-21 12:03:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1033.html



Note You need to log in before you can comment on or make changes to this bug.